=== debian/changelog ===
sord (0.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #619426)

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 11:47:25 +0200
