## sord 0.5.0

=== wscript ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/env python
 import glob
 import os
+import subprocess
+import sys
 
 from waflib.extras import autowaf as autowaf
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SORD_VERSION       = '0.4.2'
+SORD_VERSION       = '0.5.0'
 SORD_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -25,28 +27,30 @@
 out = 'build'
 
 def options(opt):
+    opt.load('compiler_c')
+    opt.load('compiler_cxx')
     autowaf.set_options(opt)
     opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                    help="Build unit tests")
     opt.add_option('--dump', type='string', default='', dest='dump',
                    help="Dump debugging output (iter, search, write, all)")
+    opt.add_option('--static', action='store_true', default=False, dest='static',
+                   help="Build static library")
 
 def configure(conf):
+    conf.load('compiler_c')
+    conf.load('compiler_cxx')
     autowaf.configure(conf)
-    conf.line_just = 32
     autowaf.display_header('Sord configuration')
 
-    conf.load('compiler_cc')
-    conf.env.append_value('CFLAGS', '-std=c99')
-
-    autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB',
-                      atleast_version='2.0.0', mandatory=True)
+    conf.env.append_unique('CFLAGS', '-std=c99')
 
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.4.0', mandatory=True)
+                      atleast_version='0.5.0', mandatory=True)
 
     conf.env['BUILD_TESTS'] = Options.options.build_tests
     conf.env['BUILD_UTILS'] = True
+    conf.env['BUILD_STATIC'] = Options.options.static
 
     dump = Options.options.dump.split(',')
     all = 'all' in dump
@@ -91,9 +95,15 @@
     autowaf.build_pc(bld, 'SORD', SORD_VERSION, SORD_MAJOR_VERSION, 'SERD',
                      {'SORD_MAJOR_VERSION' : SORD_MAJOR_VERSION})
 
-    # Library
+    source = 'src/sord.c src/syntax.c src/zix/hash.c src/zix/tree.c'
+
+    libflags = [ '-fvisibility=hidden' ]
+    if sys.platform == 'win32':
+        libflags = []
+
+    # Shared Library
     obj = bld(features        = 'c cshlib',
-              source          = 'src/sord.c src/syntax.c',
+              source          = source,
               includes        = ['.', './src'],
               export_includes = ['.'],
               name            = 'libsord',
@@ -101,67 +111,70 @@
               vnum            = SORD_LIB_VERSION,
               install_path    = '${LIBDIR}',
               libs            = [ 'm' ],
-              cflags          = [ '-fvisibility=hidden',
-                                  '-DSORD_SHARED',
-                                  '-DSORD_INTERNAL' ])
-    autowaf.use_lib(bld, obj, 'GLIB SERD')
+              cflags          = libflags + [ '-DSORD_SHARED',
+                                             '-DSORD_INTERNAL' ])
+    autowaf.use_lib(bld, obj, 'SERD')
+
+    # Static Library
+    if bld.env['BUILD_STATIC']:
+        obj = bld(features        = 'c cstlib',
+                  source          = source,
+                  includes        = ['.', './src'],
+                  export_includes = ['.'],
+                  name            = 'libsord_static',
+                  target          = 'sord-%s' % SORD_MAJOR_VERSION,
+                  vnum            = SORD_LIB_VERSION,
+                  install_path    = '${LIBDIR}',
+                  libs            = [ 'm' ],
+                  cflags          = [ '-DSORD_INTERNAL' ])
+        autowaf.use_lib(bld, obj, 'SERD')
 
     if bld.env['BUILD_TESTS']:
         test_cflags = [ '-fprofile-arcs',  '-ftest-coverage' ]
 
-        # Static library (for unit test code coverage)
+        # Static profiled library (for unit test code coverage)
         obj = bld(features     = 'c cstlib',
-                  source       = 'src/sord.c src/syntax.c',
-                  includes     = ['.', './src'],
-                  name         = 'libsord_static',
-                  target       = 'sord_static',
+                  source       = source,
+                  includes     = ['.', './src'],
+                  name         = 'libsord_profiled',
+                  target       = 'sord_profiled',
                   install_path = '',
                   cflags       = test_cflags,
                   libs         = [ 'm' ])
-        autowaf.use_lib(bld, obj, 'GLIB SERD')
+        autowaf.use_lib(bld, obj, 'SERD')
 
         # Unit test program
         obj = bld(features     = 'c cprogram',
                   source       = 'src/sord_test.c',
                   includes     = ['.', './src'],
-                  use          = 'libsord_static',
+                  use          = 'libsord_profiled',
                   linkflags    = '-lgcov',
                   target       = 'sord_test',
                   install_path = '',
                   cflags       = test_cflags)
-        autowaf.use_lib(bld, obj, 'GLIB SERD')
-
-        # Static sordi build
-        obj = bld(features = 'c cprogram')
-        obj.source       = 'src/sordi.c'
-        obj.includes     = ['.', './src']
-        obj.use          = 'libsord_static'
-        obj.linkflags    = '-lgcov'
-        obj.target       = 'sordi_static'
-        obj.install_path = ''
-        obj.cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ]
+        autowaf.use_lib(bld, obj, 'SERD')
+
+        # Static profiled sordi build
+        obj = bld(features     = 'c cprogram',
+                  source       = 'src/sordi.c',
+                  includes     = ['.', './src'],
+                  use          = 'libsord_profiled',
+                  linkflags    = '-lgcov',
+                  target       = 'sordi_static',
+                  install_path = '',
+                  cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ])
+        autowaf.use_lib(bld, obj, 'SERD')
 
         # C++ build test
         obj = bld(features     = 'cxx cxxprogram',
                   source       = 'src/sordmm_test.cpp',
                   includes     = ['.', './src'],
-                  use          = 'libsord_static',
+                  use          = 'libsord_profiled',
                   linkflags    = '-lgcov',
                   target       = 'sordmm_test',
                   install_path = '',
                   cflags       = test_cflags)
-        autowaf.use_lib(bld, obj, 'GLIB SERD')
-
-    # Static command line utility (for testing)
-        if bld.env['BUILD_UTILS']:
-            obj = bld(features     = 'c cprogram',
-                      source       = 'src/sordi.c',
-                      includes     = ['.', './src'],
-                      use          = 'libsord_static',
-                      linkflags    = '-lgcov',
-                      target       = 'sordi_static',
-                      install_path = '',
-                      cflags       = test_cflags)
+        autowaf.use_lib(bld, obj, 'SERD')
 
     # Command line utility
     if bld.env['BUILD_UTILS']:
@@ -169,9 +182,9 @@
                   source       = 'src/sordi.c',
                   includes     = ['.', './src'],
                   use          = 'libsord',
-                  linkflags    = '-lgcov',
                   target       = 'sordi',
                   install_path = '${BINDIR}')
+        autowaf.use_lib(bld, obj, 'SERD')
 
     # Documentation
     autowaf.build_dox(bld, 'SORD', SORD_VERSION, top, out)
@@ -182,6 +195,9 @@
     bld.add_post_fun(autowaf.run_ldconfig)
     if bld.env['DOCS']:
         bld.add_post_fun(fix_docs)
+
+def lint(ctx):
+    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)
 
 def build_dir(ctx, subdir):
     if autowaf.is_child():
