=== debian/changelog ===
sord (0.5.0-1) unstable; urgency=low

  * New upstream release:
    - Remove glib dependency
    - Add function sord_contains for checking for a triple pattern
    - Add function sord_write_iter for writing a queried range
    - Fix Sord::Namespaces::qualify to no longer chop prefixes
    - Add ability to build static library
  * Drop glib dependency.
  * Requires serd >= 0.5.0
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Oct 2011 13:16:09 +0200
