=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
  doxygen,
  graphviz,
- libglib2.0-dev,
- libserd-dev (>= 0.4.0),
+ libserd-dev (>= 0.5.0),
  pkg-config,
  python
 Standards-Version: 3.9.2
