## sord 0.5.0+dfsg0

=== debian/changelog ===
sord (0.5.0+dfsg0-2) unstable; urgency=low

  * Build with MultiArch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 11:02:44 +0100

sord (0.5.0+dfsg0-1) unstable; urgency=low

  [ Adrian Knoth ]
  * Drop all references to Redland.

  [ Alessio Treglia ]
  * Repack upstream tarball to get rid of waf blob (Closes: #654504).
  * Adjust the clean target to properly clean the sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 01:53:10 +0100
