=== debian/control ===
Source: sord
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 doxygen,
 graphviz,
 libserd-dev (>= 0.5.0),
 pkg-config,
 python
Standards-Version: 3.9.2
Homepage: http://drobilla.net/software/sord/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/sord.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sord.git

Package: libsord-0-0
Section: utils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: sordi
Description: library for storing RDF data in memory
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 Sord includes man pages for the library (man sord) and a
 simple command line utility (man sordi).

Package: libsord-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsord-0-0 (= ${binary:Version}),
 libserd-dev,
 ${misc:Depends}
Suggests: libsord-doc
Recommends: pkg-config
Description: library for storing RDF data in memory (development files)
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the development headers.

Package: sordi
Architecture: any
Section: text
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for storing RDF data in memory - sordi tool
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the utility 'sordi'.

Package: libsord-doc
Section: doc
Architecture: all
Enhances: libsord-dev
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: library for storing RDF data in memory (documentation)
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the developer's reference for sord.

Package: sord-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libsord-0-0 (= ${binary:Version}),
 sordi (= ${binary:Version}),
 ${misc:Depends}
Description: library for storing RDF data in memory (debugging symbols)
 Sord is a lightweight C library for storing Resource
 Description Framework (RDF) data in memory.
 .
 This package provides the debugging symbols for sord.
