=== debian/watch ===
version=3
http://download.drobilla.net/sord-(.*)\.tar\.bz2
