## sord 0.8.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SORD_VERSION       = '0.5.0'
+SORD_VERSION       = '0.8.0'
 SORD_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -43,14 +43,25 @@
     autowaf.configure(conf)
     autowaf.display_header('Sord configuration')
 
-    conf.env.append_unique('CFLAGS', '-std=c99')
+    if conf.env['MSVC_COMPILER']:
+        conf.env.append_unique('CFLAGS',   ['-TP', '-MD'])
+        conf.env.append_unique('CXXFLAGS', ['-TP', '-MD'])
+    else:
+        conf.env.append_unique('CFLAGS', '-std=c99')
 
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.5.0', mandatory=True)
+                      atleast_version='0.14.0', mandatory=True)
+    autowaf.check_pkg(conf, 'libpcre', uselib_store='PCRE', mandatory=False)
 
     conf.env['BUILD_TESTS'] = Options.options.build_tests
     conf.env['BUILD_UTILS'] = True
     conf.env['BUILD_STATIC'] = Options.options.static
+
+    # Check for gcov library (for test coverage)
+    if conf.env['BUILD_TESTS']:
+        conf.check_cc(lib='gcov',
+                      define_name='HAVE_GCOV',
+                      mandatory=False)
 
     dump = Options.options.dump.split(',')
     all = 'all' in dump
@@ -62,7 +73,7 @@
         autowaf.define(conf, 'SORD_DEBUG_WRITE', 1)
 
     autowaf.define(conf, 'SORD_VERSION', SORD_VERSION)
-    conf.write_config_header('sord-config.h', remove=False)
+    conf.write_config_header('sord_config.h', remove=False)
 
     def fallback(var, val):
         conf.env[var] = val
@@ -98,8 +109,12 @@
     source = 'src/sord.c src/syntax.c src/zix/hash.c src/zix/tree.c'
 
     libflags = [ '-fvisibility=hidden' ]
-    if sys.platform == 'win32':
+    libs     = [ 'm' ]
+    defines  = []
+    if bld.env['MSVC_COMPILER']:
         libflags = []
+        libs     = []
+        defines  = ['snprintf=_snprintf']
 
     # Shared Library
     obj = bld(features        = 'c cshlib',
@@ -110,7 +125,8 @@
               target          = 'sord-%s' % SORD_MAJOR_VERSION,
               vnum            = SORD_LIB_VERSION,
               install_path    = '${LIBDIR}',
-              libs            = [ 'm' ],
+              libs            = libs,
+              defines         = defines,
               cflags          = libflags + [ '-DSORD_SHARED',
                                              '-DSORD_INTERNAL' ])
     autowaf.use_lib(bld, obj, 'SERD')
@@ -125,12 +141,16 @@
                   target          = 'sord-%s' % SORD_MAJOR_VERSION,
                   vnum            = SORD_LIB_VERSION,
                   install_path    = '${LIBDIR}',
-                  libs            = [ 'm' ],
+                  libs            = libs,
                   cflags          = [ '-DSORD_INTERNAL' ])
         autowaf.use_lib(bld, obj, 'SERD')
 
     if bld.env['BUILD_TESTS']:
-        test_cflags = [ '-fprofile-arcs',  '-ftest-coverage' ]
+        test_libs   = libs
+        test_cflags = ['']
+        if bld.is_defined('HAVE_GCOV'):
+            test_libs   += ['gcov']
+            test_cflags += ['-fprofile-arcs', '-ftest-coverage']
 
         # Static profiled library (for unit test code coverage)
         obj = bld(features     = 'c cstlib',
@@ -139,8 +159,9 @@
                   name         = 'libsord_profiled',
                   target       = 'sord_profiled',
                   install_path = '',
+                  defines      = defines,
                   cflags       = test_cflags,
-                  libs         = [ 'm' ])
+                  lib          = test_libs)
         autowaf.use_lib(bld, obj, 'SERD')
 
         # Unit test program
@@ -148,9 +169,10 @@
                   source       = 'src/sord_test.c',
                   includes     = ['.', './src'],
                   use          = 'libsord_profiled',
-                  linkflags    = '-lgcov',
+                  lib          = test_libs,
                   target       = 'sord_test',
                   install_path = '',
+                  defines      = defines,
                   cflags       = test_cflags)
         autowaf.use_lib(bld, obj, 'SERD')
 
@@ -159,10 +181,11 @@
                   source       = 'src/sordi.c',
                   includes     = ['.', './src'],
                   use          = 'libsord_profiled',
-                  linkflags    = '-lgcov',
+                  lib          = test_libs,
                   target       = 'sordi_static',
                   install_path = '',
-                  cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ])
+                  defines      = defines,
+                  cflags       = test_cflags)
         autowaf.use_lib(bld, obj, 'SERD')
 
         # C++ build test
@@ -170,21 +193,23 @@
                   source       = 'src/sordmm_test.cpp',
                   includes     = ['.', './src'],
                   use          = 'libsord_profiled',
-                  linkflags    = '-lgcov',
+                  lib          = test_libs,
                   target       = 'sordmm_test',
                   install_path = '',
-                  cflags       = test_cflags)
-        autowaf.use_lib(bld, obj, 'SERD')
-
-    # Command line utility
+                  defines      = defines)
+        autowaf.use_lib(bld, obj, 'SERD')
+
+    # Command line utilities
     if bld.env['BUILD_UTILS']:
-        obj = bld(features     = 'c cprogram',
-                  source       = 'src/sordi.c',
-                  includes     = ['.', './src'],
-                  use          = 'libsord',
-                  target       = 'sordi',
-                  install_path = '${BINDIR}')
-        autowaf.use_lib(bld, obj, 'SERD')
+        for i in ['sordi', 'sord_validate']:
+            obj = bld(features     = 'c cprogram',
+                      source       = 'src/%s.c' % i,
+                      includes     = ['.', './src'],
+                      use          = 'libsord',
+                      target       = i,
+                      install_path = '${BINDIR}',
+                      defines      = defines)
+            autowaf.use_lib(bld, obj, 'SERD PCRE')
 
     # Documentation
     autowaf.build_dox(bld, 'SORD', SORD_VERSION, top, out)
@@ -197,7 +222,7 @@
         bld.add_post_fun(fix_docs)
 
 def lint(ctx):
-    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)
+    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/*.* sord/* src/zix/*.*', shell=True)
 
 def build_dir(ctx, subdir):
     if autowaf.is_child():
@@ -211,9 +236,9 @@
         os.chdir(build_dir(ctx, 'doc/html'))
         os.system("sed -i 's/SORD_API //' group__sord.html")
         os.system("sed -i 's/SORD_DEPRECATED //' group__sord.html")
+        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__sord.html")
         os.remove('index.html')
-        os.symlink('group__sord.html',
-                   'index.html')
+        os.symlink('group__sord.html', 'index.html')
         os.chdir(top)
         os.chdir(build_dir(ctx, 'doc/man/man3'))
         os.system("sed -i 's/SORD_API //' sord.3")
@@ -246,36 +271,40 @@
 
     autowaf.pre_test(ctx, APPNAME)
 
+    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
+
+    nul = os.devnull
+
     autowaf.run_tests(ctx, APPNAME, [
-            './sordi_static file:%s/tests/manifest.ttl > /dev/null' % srcdir,
-            './sordi_static file://%s/tests/manifest.ttl > /dev/null' % srcdir,
-            './sordi_static %s/tests/UTF-8.ttl > /dev/null' % srcdir,
-            './sordi_static -v > /dev/null',
-            './sordi_static -h > /dev/null',
-            './sordi_static -s "<foo> a <#Thingie> ." > /dev/null',
-            './sordi_static /dev/null > /dev/null'],
+            'sordi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
+            'sordi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
+            'sordi_static -v > %s' % nul,
+            'sordi_static -h > %s' % nul,
+            'sordi_static -s "<foo> a <#Thingie> ." file:///test > %s' % nul,
+            'sordi_static %s > %s' % (nul, nul)],
                       0, name='sordi-cmd-good')
 
     autowaf.run_tests(ctx, APPNAME, [
-            './sordi_static > /dev/null',
-            './sordi_static ftp://example.org/unsupported.ttl > /dev/null',
-            './sordi_static -i > /dev/null',
-            './sordi_static -o > /dev/null',
-            './sordi_static -z > /dev/null',
-            './sordi_static -p > /dev/null',
-            './sordi_static -c > /dev/null',
-            './sordi_static -i illegal > /dev/null',
-            './sordi_static -o illegal > /dev/null',
-            './sordi_static -i turtle > /dev/null',
-            './sordi_static /no/such/file > /dev/null'],
+            'sordi_static > %s' % nul,
+            'sordi_static ftp://example.org/unsupported.ttl > %s' % nul,
+            'sordi_static -i > %s' % nul,
+            'sordi_static -o > %s' % nul,
+            'sordi_static -z > %s' % nul,
+            'sordi_static -p > %s' % nul,
+            'sordi_static -c > %s' % nul,
+            'sordi_static -i illegal > %s' % nul,
+            'sordi_static -o illegal > %s' % nul,
+            'sordi_static -i turtle > %s' % nul,
+            'sordi_static /no/such/file > %s' % nul],
                       1, name='sordi-cmd-bad')
 
-    autowaf.run_tests(ctx, APPNAME, ['./sord_test'])
+    autowaf.run_tests(ctx, APPNAME, ['sord_test'])
 
     commands = []
     for test in good_tests:
-        base_uri = 'http://www.w3.org/2001/sw/DataAccess/df1/' + test
-        commands += [ './sordi_static %s/%s \'%s\' > %s.out' % (srcdir, test, base_uri, test) ]
+        base_uri = 'http://www.w3.org/2001/sw/DataAccess/df1/' + test.replace('\\', '/')
+        commands += [ 'sordi_static "%s" "%s" > %s.out' % (
+                os.path.join(srcdir, test), base_uri, test) ]
 
     autowaf.run_tests(ctx, APPNAME, commands, 0, name='good')
