=== debian/changelog ===
sord (0.8.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Refresh symbols.
  * Put in sord-dbg only symbols from libsord-0-0.
  * Bump debhelper requirement to 9.
  * Bump serd requirement to 0.14.0.
  * debian/watch: Mangles dfsg suffix.
  * Update Vcs-* fields.
  * Set tarball compression to xz
  * Update debian/copyright's format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 09:40:28 +0200
