=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,5 @@
 	$(WAF) install --destdir=$(CURDIR)/debian/tmp
 
 override_dh_strip:
-	dh_strip --dbg-package=sord-dbg
+	dh_strip -plibsord-0-0 --dbg-package=sord-dbg
+	dh_strip --remaining-packages
